---
exclude: ^spec/fixtures/|^docs/uncategorized/setup-oauth2-proxy-protected-application.md|\.svg$|\.svg$|\.excalidraw$|\.drawio$|reference-architectures/get-hybrid/config|test/lib/shunit2
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-case-conflict
      - id: check-executables-have-shebangs
      - id: check-json
      - id: check-merge-conflict
      - id: check-shebang-scripts-are-executable
      - id: check-symlinks
      - id: check-yaml
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace
      - id: mixed-line-ending
        args: ["--fix=lf"]
      - id: no-commit-to-branch
        args: [--branch, master]
  - repo: https://github.com/compilerla/conventional-pre-commit
    rev: v2.1.1
    hooks:
      - id: conventional-pre-commit
        stages: [commit-msg]
  - repo: https://github.com/google/go-jsonnet
    rev: v0.18.0
    hooks:
      - id: jsonnet-format
        args: [-i, --string-style, s, -n, "2"]
  - repo: local
    hooks:
      - id: shellcheck
        name: shellcheck
        entry: shellcheck -e SC1090,SC1091,SC2002
        language: system
        files: '^(.*\.sh|bin/[^\.]*)$'
  - repo: https://github.com/scop/pre-commit-shfmt
    rev: v3.4.3-1  # Note: keep this in sync with .tool-versions
    hooks:
      - id: shfmt
        args: ["-i", "2", "-ci"]
